package model

import (
	"time"
)

type TaCustomerAccount struct {
	AccountId     string    `xorm:"not null pk VARCHAR(64)"`
	UserId        string    `xorm:"VARCHAR(64)"`
	UserName      string    `xorm:"VARCHAR(50)"`
	Amount        float32   `xorm:"FLOAT(8,2)"`
	Integral      float32   `xorm:"FLOAT(8,2)"`
	Status        int       `xorm:"SMALLINT(6)"`
	OrgId         string    `xorm:"VARCHAR(64)"`
	CreateDate    time.Time `xorm:"DATETIME"`
	PayedAmount   float32   `xorm:"FLOAT(8,2)"`
	PayedIntegral float32   `xorm:"FLOAT(8,2)"`
}
